## binutils-sh-elf 1build1

=== debian/changelog ===
binutils-sh-elf (1build1) jammy; urgency=medium

  * Build using binutils 2.38.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 11:20:39 +0100

binutils-sh-elf (1) unstable; urgency=low

  * Initial release. (Closes: #980889)

 -- John Scott <jscott@posteo.net>  Mon, 24 May 2021 13:51:19 -0400
