=== debian/control ===
Source: binutils-sh-elf
Section: devel
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: John Scott <jscott@posteo.net>
Rules-Requires-Root: no
Build-Depends:
 autoconf2.69,
 binutils-source,
 bison,
 debhelper-compat (= 13),
 dh-sequence-single-binary,
 file,
 flex,
 gettext,
 texinfo,
 xz-utils,
 zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/binutils-sh-elf
Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/binutils-sh-elf.git
Homepage: https://sourceware.org/binutils/

Package: binutils-sh-elf
Architecture: any
Multi-Arch: foreign
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: binutils-common
Suggests: binutils-doc
Description: GNU binary utilities for embedded SuperH devices
 This package provides GNU assembler, linker and binary utilities for
 a specific hardware and operating system combination.  You don’t need
 it unless you plan to cross-compile programs for it.
 .
 This package targets bare-metal SuperH devices, including all CPUs
 SH-1 through SH-4a.
