=== debian/tests/control ===
Tests: file-strip
Depends: @, file
Restrictions: superficial
