## binutils-sh-elf 2

=== debian/changelog ===
binutils-sh-elf (2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes required.
  * Add new dependencies on libdebuginfod and libzstd

 -- John Scott <jscott@posteo.net>  Sun, 05 Dec 2021 18:50:18 -0500
