=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
  file,
  flex,
  gettext,
+ libdebuginfod-dev,
+ libzstd-dev,
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/binutils-sh-elf
 Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/binutils-sh-elf.git
 Homepage: https://sourceware.org/binutils/
