=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 deb_version = $(deb_upstream_version)+$(DEB_VERSION)
 
 unpacked_dir=binutils
-.DEFAULT:
+%:
 	mkdir -p $(unpacked_dir)
 	dh $@ -D$(unpacked_dir) -Bbuild
