## binutils-sh-elf 3

=== debian/changelog ===
binutils-sh-elf (3) unstable; urgency=medium

  * Team upload.
  * Allow discarding qualifiers. (Closes: #1089199)

 -- Bastian Germann <bage@debian.org>  Thu, 19 Dec 2024 13:02:25 +0100
