=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 binutils_dir=/usr/src/binutils
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=discarded-qualifiers
 
 deb_upstream_version != dpkg-query -f'$${source:Upstream-Version}' -W binutils-source
